<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='ParamDate & InputDate Example' :maxState="1")
  template(v-slot:description)
    h5 This is a ParamDate example
    p Click on the #[em animate] to toggle edit mode.
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Properties:]
      ul
        +prop("title") the title (ParamDate only)
        +prop("timestamp") the unix timestamp current live value
        +prop("inEdit") enter/exit edit mode

    div #[strong Data:]
      ul
        +prop("editTimestamp") edit mode currently selected value

    div #[strong Signals:]
      ul
        +prop("edit") emitted whenever editTimestamp is changed (with editTimestamp new content)
        +prop("edit-request") emitted whenever the icon on the right is clicked while not in edit mode

  template(v-slot:code)
    template(v-pre).
      .row.justify-content-center.align-items-center.b-param-container
        BaseInputDate(:timestamp='1593259787' :inEdit='state !== 0'
                      required="1" ref='input'
                      @edit='$refs.input.checkValidity()'
                      @edit-request='state = state ? 0 : 1')
        BaseParamDate.col-12.col-sm-6(:timestamp='1593259787' :inEdit='state !== 0'
                                      required="1" ref='valid'
                                      @edit='$refs.valid.checkValidity()'
                                      @edit-request='state = state ? 0 : 1')
          template(v-slot:title='p')
            | \#[strong Input] (edit:{{ p.editTimestamp }})
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleParamDate",
  components: { Example }
};

</script>
